﻿using AnQing.Commons;
using AnQing.Models;
using RFIDReaderJilin.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Markup;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace AnQing.View
{
    /// <summary>
    /// History.xaml 的交互逻辑
    /// </summary>
    public partial class History : UserControl
    {
        public WindowQueryViewModel windowqueryviewmodel;
        public History()
        {
            InitializeComponent();

            windowqueryviewmodel = new WindowQueryViewModel();
            this.DataContext = windowqueryviewmodel;
        }

        private void ListView_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            // 获取鼠标点击位置的元素
            var point = e.GetPosition((UIElement)sender);
            var hit = VisualTreeHelper.HitTest((UIElement)sender, point);

            // 查找 ListViewItem
            var listViewItem = FindAncestor<ListViewItem>(hit.VisualHit);

            if (listViewItem != null)
            {
                var data = (SCAN_MAIN)listViewItem.Content; 
                windowqueryviewmodel.UpdateSelectMain(data);
                List_DeTail.Visibility = System.Windows.Visibility.Visible;
                //MessageBox.Show($"你双击了 {data.id} 的行");
            }

        }
        private static T FindAncestor<T>(DependencyObject current) where T : DependencyObject
        {
            while (current != null)
            {
                if (current is T)
                    return (T)current;
                current = VisualTreeHelper.GetParent(current);
            }
            return null;
        }
    }
}
